package cn.com.qmth.stmms.biz.distributpaper.service;

import cn.com.qmth.stmms.biz.distributpaper.model.ProblemHistory;
import cn.com.qmth.stmms.biz.distributpaper.model.ProblemLibrary;
import cn.com.qmth.stmms.biz.subjectheader.query.ProblemLibrarySearchQuery;

public interface ProblemLibraryService {

    ProblemLibrary save(ProblemLibrary problemLibrary);

    ProblemLibrary findById(Integer id);

    void deleteById(Integer id);

    void delete(ProblemLibrary problemLibrary);

    ProblemLibrarySearchQuery findByQuery(ProblemLibrarySearchQuery query);

    void saveMark(ProblemHistory problemHistory);

    /**
     * 查询未处理仲裁卷
     * 
     * @param examId
     * @param subjectCode
     * @return
     */
    int findUntreated(Integer examId, String subjectCode);

    /**
     * 查询未处理仲裁卷(按照题块)
     * 
     * @param examId
     * @param subjectiveBlockId
     * @return
     */
    int findUntreatedByBlockId(Integer examId, Integer subjectiveBlockId);

}
